Skip to main content
POST
/
sections
/
{section_id}
/
groups
/
{group_id}
Update Group and set businesses
curl --request POST \
  --url https://api.partoo.co/v2/sections/{section_id}/groups/{group_id} \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "name": "France",
  "business__in": [
    "5409c35a97bbc544d8e26737",
    "595badaef348ab6b3530033f",
    "59d53302b12ff6429f262639"
  ]
}
'
import requests

url = "https://api.partoo.co/v2/sections/{section_id}/groups/{group_id}"

payload = {
    "name": "France",
    "business__in": ["5409c35a97bbc544d8e26737", "595badaef348ab6b3530033f", "59d53302b12ff6429f262639"]
}
headers = {
    "x-APIKey": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'France',
    business__in: [
      '5409c35a97bbc544d8e26737',
      '595badaef348ab6b3530033f',
      '59d53302b12ff6429f262639'
    ]
  })
};

fetch('https://api.partoo.co/v2/sections/{section_id}/groups/{group_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "id": 1
}
{
  "errors": {
    "json": {
      "name": "name_already_exists"
    }
  }
}
{
  "errors": {
    "authentication": "User not authenticated"
  }
}
{
  "errors": {
    "authorization": "Operation not allowed"
  }
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

section_id
integer
required

Section ID

group_id
integer
required

Group ID

Body

application/json

Request body to update a group

name
string
required

Name of the group. Cannot include any of the following characters: ,;/

Example:

"France"

business__in
string[]
required

List of business ids

Business id

Example:
[
  "5409c35a97bbc544d8e26737",
  "595badaef348ab6b3530033f",
  "59d53302b12ff6429f262639"
]

Response

OK

status
enum<string>

Request status

Available options:
success
id
integer

ID of the created group

Example:

1